Bug 1651577 - [WebUI] IPA Error 3007: RequirmentError" while adding members in "User ID overrides" tab
Summary: [WebUI] IPA Error 3007: RequirmentError" while adding members in "User ID ove...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Thomas Woerner
QA Contact: ipa-qe
David Voženílek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 11:28 UTC by Varun Mylaraiah
Modified: 2020-11-04 21:36 UTC (History)
11 users (show)

Fixed In Version: ipa-4.8.7-1
Doc Type: Bug Fix
Doc Text:
.Adding ID overrides of AD users now works in IdM Web UI Previously, adding ID overrides of Active Directory (AD) users to Identity Management (IdM) groups in the Default Trust View for the purpose of granting access to management roles failed when using the IdM Web UI. This update fixes the bug. As a result, you can now use both the Web UI as well as the IdM command-line interface (CLI) in this scenario.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:50:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Error_dialog (59.87 KB, image/png)
2018-11-20 11:28 UTC, Varun Mylaraiah
no flags Details

Description Varun Mylaraiah 2018-11-20 11:28:44 UTC
Created attachment 1507396 [details]
Error_dialog

Description of problem:

In Webui showing "IPA Error 3007: RequirmentError" while adding members in "User ID overrides" tab

-Red Hat Enterprise Linux release 8.0 Beta (Ootpa)

-ipa-server-4.7.1-5.module+el8+2149+d62dbe01.x86_64
-ipa-idoverride-memberof-plugin-0.0.4-6.el8+2132+cbcb57bd.x86_64
-ipa-server-trust-ad-4.7.1-5.module+el8+2149+d62dbe01.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Setup ipa-server
2. Setup AD trust
3. Add Trust Domain, Go to Identity > IPA Server > Trusts > Trusts > Add
4. Create ID override for AD user, Go to Identity > ID View > click "Default Trust View"
5. Click "Add" button on the right-hand side
6. ADD <ADuser@addomain> in "user to override" field 
7. Hit "Add"
8. Add AD user to admin group, Go to Identity > Groups > click "admins"
9. Now Click "User ID overrides" tab (next to "External" tab)
10. Then click "Add" button.

Actual results:
"IPA Error 3007: RequirmentError" Error dialog pops up.

Expected results:
Should pop up ADD dialog.

Additional info:
Please refer to the attached screenshot
and
Related CLI Bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1651334

Comment 16 Alexander Bokovoy 2020-06-15 14:37:41 UTC
Part of FreeIPA 4.8.7: 
https://freeipa.readthedocs.io/en/latest/designs/adtrust/admin-ipa-as-trusted-user.html


master:

28389fe Add design page for managing IPA resources as a user from a trusted Active Directory forest
ecc0a96 support using trust-related operations in the server console
973e0c0 idviews: handle unqualified ID override lookups from Web UI
bee4204 Support adding user ID overrides as group and role members
306304b tests: account for ID overrides as members of groups and roles
0ba64b1 Web UI: allow users from trusted Active Directory forest manage IPA
9248d23 ipatests: test that adding Active Directory user to a role makes it an administrator

ipa-4-8:

afe9191 support using trust-related operations in the server console
2ffb4fd idviews: handle unqualified ID override lookups from Web UI
8cce2bb Support adding user ID overrides as group and role members
5e8df37 tests: account for ID overrides as members of groups and roles
99e613e Web UI: allow users from trusted Active Directory forest manage IPA
6b0f8f3 ipatests: test that adding Active Directory user to a role makes it an administrator

Comment 27 errata-xmlrpc 2020-11-04 02:50:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: idm:DL1 and idm:client security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4670


Note You need to log in before you can comment on or make changes to this bug.